<script type="text/javascript">

	var csrfName = '{{ csrf.name }}';
	var csrfValue = '{{ csrf.value }}';

	function ajaxRequestInformation(params) {
		$.ajax({
			url: '/action/ajax/list/information',
			method: 'post',
			data: {
				'csrf_name': csrfName,
				'csrf_value': csrfValue
			},
			success: function (data) {
				$('#informationTotal').empty().html(data.total);
				params.success({
					'rows': data.rows,
                    'total': data.total
				})
			},
			error: function (er) {
				params.error(er);
                $('#informationTotal').empty().html(0);
			}
		});
	}

	function loadingTemplateInformation(message) {
		return '<div class="text-center">Chargement de mes informations...<br /><div class="spinner-border mt-2" role="status"></div></div>'
	}

    function dateFormatter(value, row, index) {
        var timestamp = Date.parse(value);
        var date = [];
        date.push(new Date(timestamp).toLocaleDateString('fr-FR'));
        date.push(' &agrave; ');
        date.push(new Date(timestamp).toLocaleTimeString('fr-FR'));
        return date.join('');
    }

	function actionFormatterInformationList(value, row, index) {
		var operate = [];
        operate.push('<div class="gn-actions">');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-eye-line view-information" title="Visualiser">Visualiser</button>');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-draft-line transform-information" title="Transformer en contenu">Transformer en contenu</button>');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-file-add-line concat-information" title="Ajouter &agrave; un contenu">Ajouter &agrave; un contenu</button>');
        operate.push('</div>');
        return operate.join('');
	}

    window.operateEvents = {
        'click .view-information': function (e, value, row, index) {
            const $container = $('#viewInformation-content');
            $container.html('<div class="gn-ajax-loading"><div class="gn-spinner" role="status" aria-hidden="true"></div><span class="gn-ajax-loading--message">Chargement de l\'email : ' + row.subjectHTML + '</span></div>');
            GN.openModal('viewInformationModal');
            $.ajax({
                url: '/action/ajax/list/information/details/' + row.emailNumber,
                method: 'get',
                success: function (data) {
                    $container.html(data);
                },
                error: function (er) {
                    $container.html('Impossible de charger les données.');
                }
            });
        },
		'click .transform-information': function (e, value, row, index) {
            GN.openModal('transformInformationModal');
            $('#transformInformationModal .fr-alert__title em').html(row.object);
            $('#transformInformationModal #email-number').val(row.emailNumber);
        },
        'click .concat-information': function (e, value, row, index) {
            GN.openModal('concatInformationModal');
            $('#concatInformationModal .fr-alert__title em').html(row.object);
            $('#concatInformationModal #email-number').val(row.emailNumber);
        }
    }
</script>
